%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)
#% define SDL_ver %(sdl-config --version)
#% define SDL_image_ver %(pkg-config --version SDL_image)
#% define SDL_mixer_ver %(pkg-config --version SDL_mixer)
#% define SDL_ttf_ver %(pkg-config --version SDL_ttf)
#% define SDL_gfx_ver %(pkg-config --version SDL_gfx)
#% define SDL_Pango_ver %(pkg-config --version SDL_Pango)

Name:          perl-Alien-SDL
Version:       1.446
Release:       3mamba
Summary:       Alien::SDL - building, finding and using SDL binaries
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/F/FR/FROGGS/Alien-SDL-%{version}.tar.gz
Patch0:        perl-Alien-SDL-1.440-use-system-libraries.patch
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Capture-Tiny
BuildRequires: perl-devel
BuildRequires: perl-File-ShareDir
## AUTOBUILDREQ-END
BuildRequires: perl-Text-Patch
BuildRequires: libSDL-devel
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libSDL_gfx-devel
BuildRequires: libSDL_Pango-devel
BuildRequires: perl-File-Which
#Requires:      libSDL
#Requires:      libSDL_image
#Requires:      libSDL_mixer
#Requires:      libSDL_ttf
#Requires:      libSDL_gfx
#Requires:      libSDL_Pango
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Alien::SDL - building, finding and using SDL binaries.

%prep
%setup -q -n Alien-SDL-%{version}
#%patch0 -p1

%build
%{__perl} Build.PL \
   --with-sdl-config=%{_bindir}/sdl-config \
   PREFIX=%{_prefix} \
   INSTALLDIRS=vendor \
   OPTIMIZE="%{optflags}" << __EOF
1
__EOF

./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# Build.PL requires '1' from stdin to use system libraries:
#You have the following options:
#[1] Already installed SDL ver=1.2.15 path=/usr
#    SDL(v1.2.15) SDL_image(v1.2.12) SDL_mixer(v1.2.12) SDL_ttf(v2.0.11) SDL_gfx(v2.0.24) SDL_Pango(v1.3) 
#[2] Source code build
#    SDL(v1.2.15) SDL_image(v1.2.11) SDL_mixer(v1.2.12) SDL_ttf(v2.0.11) SDL_gfx(v2.0.23) SDL_Pango(v1.2) 
#[3] Quit installation
#
#What way do you wanna go? [2 ]1
#Using already installed SDL ver=1.2.15 path=/usr
#    SDL(v1.2.15) SDL_image(v1.2.12) SDL_mixer(v1.2.12) SDL_ttf(v2.0.11) SDL_gfx(v2.0.24) SDL_Pango(v1.3) 

./Build install destdir=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
#[ -z "$packlist" ] && exit 1 || cat $packlist | \
#   sed "s,%{buildroot},,g" | \
#   sort -u > .packlist &&
rm -f $packlist
#
#strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
#for dir in `find %{buildroot} -type d | grep $strid`; do
#   echo "%dir ${dir#%buildroot}" >> .packlist
#done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files 
%defattr(-,root,root)
%{_bindir}/sdl-config.pl
%dir %{perl_sitelib}/Alien
%{perl_sitelib}/Alien/SDL.pm
%{perl_sitelib}/Alien/SDL/ConfigData.pm
#%dir %{perl_sitelib}/auto/share/dist/Alien-SDL
#%{perl_sitelib}/auto/share/dist/Alien-SDL/*
%{_mandir}/man3/Alien::SDL.3pm*
%{_mandir}/man3/Alien::SDL::ConfigData.3pm*
%doc LICENSE

%changelog
* Fri Nov 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.446-3mamba
- rebuilt with perl 5.24

* Wed Mar 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.446-2mamba
- fix build using system sdl

* Mon Mar 16 2015 Automatic Build System <autodist@mambasoft.it> 1.446-1mamba
- automatic update by autodist

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 1.445_1-1mamba
- automatic update by autodist

* Thu Jul 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.440-2mamba
- rebuilt using system SDL*
- add version requirements for SDL to force rebuild on update of those packages

* Wed May 08 2013 Automatic Build System <autodist@mambasoft.it> 1.440-1mamba
- update to 1.440

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 1.439_1-1mamba
- automatic version update by autodist

* Mon Feb 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.438-1mamba
- package created by silvan using the webbuild interface
